<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/reports_members.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{reports.orders.membersByCountry}"></h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">                        
                        <span th:text="#{countryName}">País:</span>                  
                        <select name="country" id="country">
                            <option th:selected="${country == 'all'}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${country == 'ES'}" value="ES" th:text="#{ES}">España</option>
                            <option th:selected="${country == 'CO'}" value="CO" th:text="#{CO}">Colombia</option>
                            <option th:selected="${country == 'PE'}" value="PE" th:text="#{PE}">Perú</option>
                            <option th:selected="${country == 'EC'}" value="EC" th:text="#{EC}">Ecuador</option>
                            <option th:selected="${country == 'OT'}" value="OT" th:text="#{others}">Otros</option>
                        </select>
                        &nbsp;
                        <span th:text="#{month}">Mes:</span>
                        <select id="month" name="month">
                            <option value="-1" th:selected="${month == null || month == '-1'}" th:text="#{all}">Todos</option>
                            <option value="1" th:selected="${month != null && month == '1'}" th:text="#{january}">Enero</option>
                            <option value="2" th:selected="${month != null && month == '2'}" th:text="#{february}">Febrero</option>
                            <option value="3" th:selected="${month != null && month == '3'}" th:text="#{march}">Marzo</option>
                            <option value="4" th:selected="${month != null && month == '4'}" th:text="#{april}">Abril</option>
                            <option value="5" th:selected="${month != null && month == '5'}" th:text="#{may}">Mayo</option>
                            <option value="6" th:selected="${month != null && month == '6'}" th:text="#{june}">Junio</option>
                            <option value="7" th:selected="${month != null && month == '7'}" th:text="#{july}">Julio</option>
                            <option value="8" th:selected="${month != null && month == '8'}" th:text="#{august}">Agosto</option>
                            <option value="9" th:selected="${month != null && month == '9'}" th:text="#{september}">Septiembre</option>
                            <option value="10" th:selected="${month != null && month == '10'}" th:text="#{october}">Octubre</option>
                            <option value="11" th:selected="${month != null && month == '11'}" th:text="#{november}">Noviembre</option>
                            <option value="12" th:selected="${month != null && month == '12'}" th:text="#{december}">Diciembre</option>                                
                        </select>
                        &nbsp;
                        <span th:text="#{year}">Año:</span>
                        <select id="year" name="year">
                            <option value="-1" th:selected="${year == null || year == '-1'}" th:text="#{all}">Todos</option>
                            <option value="2017" th:selected="${year != null && year == '2017'}">2017</option>
                            <option value="2018" th:selected="${year != null && year == '2018'}">2018</option>    
                            <option value="2019" th:selected="${year != null && year == '2019'}">2019</option>    
                            <option value="2020" th:selected="${year != null && year == '2020'}">2020</option>    
                            <!--<option value="2021" th:selected="${year != null && year == '2021'}">2021</option>-->
                        </select>
                        &nbsp;
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        &nbsp;
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        &nbsp;
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                        <a class="btn btn-info export pull-right" target="_blank" id="export" ><i class="fa fa-file-excel-o"></i> Exportar tabla</a>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div class="x_content">
                <div class="table-responsive-tall">
                    <div th:each="year: ${years}">
                        <label th:text="${year}"></label>
                        <table class="table table-condensed table-striped jambo_table">
                            <caption th:text="#{registrations}">Registraciones</caption>
                            <thead>
                                <tr class="headings">
                                    <th th:text="#{month}"></th>
                                    <th th:if="${countries.countryDtos.size() > 1}" th:text="#{total}"></th>
                                    <th th:each="country : ${countries.countryDtos}" th:text="#{${country.country}}"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr th:each="month : ${months}">
                                    <td th:text="${T(com.wings.backoffice.utils.DateUtils).getMonthName(month)}"></td>
                                    <td th:if="${countries.countryDtos.size() > 1}" th:text="${countries.membersByYearAndMonth(year, month, false)}" ></td>
                                    <td th:each="country: ${countries.countryDtos}">
                                        <a class="action-button" href="#" th:attr="data-country=${country.country}, data-year=${year}, data-month=${month}, data-action='creation', data-smonth=${T(com.wings.backoffice.utils.DateUtils).getMonthName(month)}, data-from=${from}, data-to=${to}">
                                            <span th:text="${country.getMembersByActiveAndYearAndMonth(year, month, false)}"> </span>
                                        </a>
                                    </td>
                                </tr>
                                <tr style="font-weight: bold;">
                                    <td th:text="#{total}" class="table-primary"></td>
                                    <td th:if="${countries.countryDtos.size() > 1}" th:text="${countries.membersByYear(year, false)}"></td>
                                    <td th:each="country: ${countries.countryDtos}" th:text="${country.getMembersByActiveAndYear(year, false)}"></td>
                                </tr>
                            </tbody>
                        </table>
                        <label th:text="${year}"></label>
                        <table class="table table-condensed table-striped jambo_table">
                            <caption th:text="#{affiliations}">Afiliaciones</caption>
                            <thead>
                                <tr class="headings">
                                    <th th:text="#{month}"></th>
                                    <th th:if="${countries.countryDtos.size() > 1}" th:text="#{total}"></th>
                                    <th th:each="country : ${countries.countryDtos}" th:text="#{${country.country}}"></th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr th:each="month : ${months}">
                                    <td th:text="${T(com.wings.backoffice.utils.DateUtils).getMonthName(month)}"></td>
                                    <td th:if="${countries.countryDtos.size() > 1}" th:text="${countries.membersByYearAndMonth(year, month, true)}"></td>
                                    <td th:each="country: ${countries.countryDtos}">
                                        <a class="action-button" href="#" th:attr="data-country=${country.country}, data-year=${year}, data-month=${month}, data-action='registration', data-smonth=${T(com.wings.backoffice.utils.DateUtils).getMonthName(month)}, data-from=${from}, data-to=${to}">
                                            <span th:text="${country.getMembersByActiveAndYearAndMonth(year, month, true)}"> </span>
                                        </a>
                                </tr>
                                <tr style="font-weight: bold;">
                                    <td th:text="#{total}" class="table-primary"></td>
                                    <td th:if="${countries.countryDtos.size() > 1}" th:text="${countries.membersByYear(year, true)}"></td>
                                    <td th:each="country: ${countries.countryDtos}" th:text="${country.getMembersByActiveAndYear(year, true)}"></td>
                                </tr>
                            </tbody>
                        </table>
                    </div>                    
                </div>               
            </div>
        </div>
    </div>
</div>